Summary:	The utilities to create reiserfs volumes
Name:		reiserfsprogs
Version:	3.6.24
Epoch:		1
Release:	%mkrel 2
License:	GPLv2 with exceptions
Group:		System/Kernel and hardware
Url:		https://www.kernel.org/pub/linux/kernel/people/jeffm/reiserfsprogs/
Source0:	http://ftp.kernel.org/pub/linux/kernel/people/jeffm/reiserfsprogs/v%{version}/%{name}-%{version}.tar.xz
Patch1:		reiserfsprogs-3.6.2-make-the-force-option-works-in-resize_reiserfs.patch
Patch3:		reiserfsprogs-3.6.23-uuid.patch
BuildRequires:	libblkid-devel
Obsoletes:	reiserfs-utils
Provides:	reiserfs-utils

%description
This package contains tools for reiserfs filesystems.
Reiserfs is a file system using a plug-in based object oriented
variant on classical balanced tree algorithms.

%prep
%setup -q
%patch1 -p0 -b .make-the-force-option-works-in-resize_reiserfs
%patch3 -p1 -b .uuid

%build
%configure2_5x
%make OPTFLAGS="%{optflags}"

%install
%makeinstall_std

%files
%doc README ChangeLog
%{_sbindir}/*
%{_mandir}/*/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1:3.6.24-2.mga4
+ Revision: 533226
- Mageia 4 Mass Rebuild

* Tue Aug 27 2013 fwang <fwang> 1:3.6.24-1.mga4
+ Revision: 472196
- symlinks are already there
- new version 3.6.24

* Tue Jul 02 2013 fwang <fwang> 1:3.6.23-1.mga4
+ Revision: 449623
- new version 3.6.23

* Mon Jan 14 2013 umeabot <umeabot> 1:3.6.21-3.mga3
+ Revision: 380288
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 30 2011 ahmad <ahmad> 1:3.6.21-2.mga2
+ Revision: 93857
- bump the rel to smoothen upgrades from mdv 2010.1

* Mon Jan 24 2011 spuhler <spuhler> 1:3.6.21-1.mga1
+ Revision: 36015
- removed buildroot definition from .spec
  Changed manbo_mkrel to mkrel
- imported package reiserfsprogs


* Thu Feb 11 2010 Funda Wang <fwang@mandriva.org> 1:3.6.21-1mnb2
+ Revision: 504116
- update url and license
- New version 3.6.21
- unaligned patch merged upstream
- rediff uuid patch

* Tue Jun 09 2009 Frederic Crozat <fcrozat@mandriva.com> 1:3.6.19-9mnb2
+ Revision: 384367
- Switch to libblkid-devel

* Wed Feb 25 2009 Thierry Vignaud <tvignaud@mandriva.com> 1:3.6.19-8mnb2
+ Revision: 344657
- rebuild for new libreadline

* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.com> 1:3.6.19-7mnb2
+ Revision: 317575
- rediffed one fuzzy patch

* Tue Aug 05 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:3.6.19-6mnb2
+ Revision: 263691
- rebuild

* Tue Mar 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:3.6.19-5mnb1
+ Revision: 178449
- remove ads (pseudo-benchmark) from description
- actually describe it

* Tue Mar 04 2008 Makoto Dei <makoto@turbolinux.co.jp> 1:3.6.19-4mnb1
+ Revision: 178424
- accept UUID=.... as the device name (#37156)

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:3.6.19-3mnb1
+ Revision: 170656
- replace %%mkrel with %%manbo_mkrel for Manbo Core 1
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 15 2007 Adam Williamson <awilliamson@mandriva.org> 1:3.6.19-3mdv2008.0
+ Revision: 63595
- buildrequires libext2fs-devel to fix #30816 (no uuid generation support)
- prune description to avoid excessive project advocacy
- use Fedora license policy (GPLv2-like because of an added clause)
- add patch2 from Ubuntu to avoid use of unaligned.h (no longer exists)


* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.6.19-2mdv2007.0
+ Revision: 119999
- spec file clean
- bunzip patches

  + Emmanuel Andry <eandry@mandriva.org>
    - Import reiserfsprogs

* Wed Nov 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.6.19-1mdk
- 3.6.19

* Thu Jun 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.6.17-1mdk
- 3.6.17

* Sun Apr 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.6.14-1mdk
- 3.6.14
- spec cosmetics

